LAPACK安装以及lapack-devel和lapack-dev

Modified on: Sun, 10 Jun 2018 03:30:53 +0800

我想在我的Ubuntu 14.04上完整安装La-pack。

所以,我在我的系统上做了以下安装命令:sudo apt-get install libblas-dev checkinstall sudo apt-get install libblas-doc checkinstall sudo apt-get install liblapacke-dev checkinstall sudo apt-get install liblapack-doc checkinstall

但我需要确保还安装了lapack-devellapack-dev。我该如何确认?如果我没有安装然后如何安装它,因为当我尝试sudo apt-get install lapack-devel时它给出了:

E: Unable to locate package lapack-devel as a response And same for lapack-dev

最佳答案

lapack 3.5.0-2ubuntu1源包已内置到许多二进制文件中,因此安装这些二进制文件将安装lapack,在终端中执行以下

sudo apt-get install liblapack-dev liblapack-doc-man liblapack-doc liblapack-pic liblapack3 liblapack-test liblapack3gf liblapacke liblapacke-dev

点击此处了解更多详情并下载源包


相关问答

添加新评论